Limerence
Agents

Update Agent

Update an existing agent

PATCH
/agents/{id}

Update an existing agent

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://loading/agents/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "capabilities": "string",
  "createdAt": "string",
  "description": null,
  "grounding": "string",
  "id": "string",
  "instructions": "string",
  "modelId": null,
  "name": "string",
  "providerId": null,
  "teamId": "string",
  "transcriptionModelId": null,
  "updatedAt": "string"
}
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}